Skip to main content
Resource Center/Resource Pool/Image Operations
PUTImage OperationsSince 4.1.0SynchronousAuth Required

GetUploadImageJobDetails

GetUploadImageJobDetails

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • imageIdStringRequired

    The user-defined image ID. We recommend that you use an MD5 value.

Body Fields

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • existingJobDetailsStringRequired

    See existingJobDetails.

    • longJobUuidStringRequired

      The long job UUID.

    • longJobStateStringRequired

      The long job state.

    • imageUuidStringRequired

      The image UUID.

    • imageUploadUrlStringRequired

      The image upload URL.

    • offsetlongRequired

      The upload offset. Unit: bytes.

Endpoint

PUT/zstack/v1/images/upload-job/details/{imageId}

/zstack/v1/images/upload-job/details/{imageId}

Operation ID

GetUploadImageJobDetails

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/images/upload-job/details/{imageId}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "existingJobDetails": [ { "longJobUuid": "0792dd52aeb9329cb1e677fae6465f23", "longJobState": "Suspended", "imageUuid": "ccf943310d86335bb3d2511ca8e14137", "imageUploadUrl": "http://127.0.0.1:8001/imagestore/upload", "offset": 452984832E8 } ] }

Change History

This API has no change history records yet.

View all change history